##### basic_seq_packet_socket::basic_seq_packet_socket (9 of 10 overloads)

Move-construct a `basic_seq_packet_socket` from another.

    basic_seq_packet_socket(
        basic_seq_packet_socket && other);

This constructor moves a sequenced packet socket from one object to another.

###### Parameters

other

  The other `basic_seq_packet_socket` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_seq_packet_socket(const executor_type&)` constructor.